> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pay Statements



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /api/payroll/pay_statements
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/payroll/pay_statements:
    get:
      tags:
        - payroll
        - quanta-services-api
      summary: Get Pay Statements
      operationId: get_pay_statements
      parameters:
        - name: include_conflicts
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Conflicts
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PayStatementForReview'
                title: Response Get Pay Statements
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PayStatementForReview:
      properties:
        qid:
          type: string
          title: Qid
        our_created_time:
          type: string
          format: date-time
          title: Our Created Time
        source_qid:
          type: string
          title: Source Qid
        source:
          $ref: '#/components/schemas/Source'
        payrun_title:
          type: string
          title: Payrun Title
        organization_qid:
          type: string
          title: Organization Qid
        pay_date:
          type: string
          format: date
          title: Pay Date
        debit_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Debit Date
        pay_period_start_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Pay Period Start Date
        pay_period_end_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Pay Period End Date
        has_source_pay_period_dates:
          type: boolean
          title: Has Source Pay Period Dates
          default: true
        line_items:
          items:
            $ref: '#/components/schemas/PayStatementLineItem'
          type: array
          title: Line Items
        status:
          $ref: '#/components/schemas/PayrollProcessingStatus'
        gl_effective_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Gl Effective Date
        total_bank_debit:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Bank Debit
          readOnly: true
      type: object
      required:
        - qid
        - our_created_time
        - source_qid
        - source
        - payrun_title
        - organization_qid
        - pay_date
        - debit_date
        - pay_period_start_date
        - pay_period_end_date
        - line_items
        - status
        - total_bank_debit
      title: PayStatementForReview
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Source:
      type: string
      enum:
        - quanta
        - amex
        - deel
        - qbo
        - ramp
        - ramp_bank
        - rippling
        - stripe
        - gusto
        - brex
        - frb
        - fidelity
        - justworks
        - sequoia_one
        - chase
        - wells_fargo_ceo
        - mercury
        - meow_bank
        - bank_of_america
        - svb
        - morgan_stanley
        - other_bank
        - other_finicity_bank
        - angellist_banking
        - arc
        - carta
        - manual
        - bank_upload
        - local_bank
        - card_upload
        - reimbursement_upload
        - warp
        - rho
        - stifel
        - highbeam
        - erebor
        - wise
        - td_canada
        - central_payroll
        - rillet
        - campfire
        - netsuite
        - orb
        - prepaid
        - loan
        - accrued_expense
        - pricing_component
        - invoice_sent
        - fixed_asset
        - intangible_asset
        - stripe_invoice
        - payment_event
        - month_end_event
        - out_of_band_invoice
        - derivative_payable
      title: Source
    PayStatementLineItem:
      properties:
        debit:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Debit
        credit:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Credit
        memo:
          type: string
          title: Memo
        generic_account:
          $ref: '#/components/schemas/GenericPayrollAccount'
        account_detail:
          type: string
          title: Account Detail
        payee_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Payee Name
        department:
          anyOf:
            - type: string
            - type: 'null'
          title: Department
      type: object
      required:
        - debit
        - credit
        - memo
        - generic_account
        - account_detail
        - payee_name
        - department
      title: PayStatementLineItem
    PayrollProcessingStatus:
      type: string
      enum:
        - PROCESSED
        - UNPROCESSED
        - IGNORED
      title: PayrollProcessingStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GenericPayrollAccount:
      type: string
      enum:
        - Bank Withdrawal
        - Salaries & Wages
        - Contractor Payments
        - Severance Payments
        - Employer Taxes
        - Commissions
        - EOR Salaries & Wages
        - Bonus
        - Relocation Bonus
        - Referral Bonus
        - Benefits Expenses
        - 401K Expenses
        - Health, Dental, Vision Expenses
        - Workers Compensation
        - COBRA Benefits
        - Benefits Liabilities (Employer Contribution)
        - Benefits Liabilities (Employee Deduction)
        - 401K Liability (Employer Contribution)
        - 401K Liability (Employee Deduction)
        - FSA Liability (Employee Deduction)
        - Unpaid Taxes
        - Tax Credit
        - Reimbursements
        - Other Reimbursement Expenses
        - R&D Tax Credits
        - EOR Foreign Exchange Fee
        - Service Fee
        - Employee Receivable
        - Equipment Rentals
      title: GenericPayrollAccount
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.